/*
	seeparam.c
	
	This program demonstrates how to use the Dynamic C program parameters

	The prog_param structure has the following entries.
		
	prog_param

	ADDR24         RCB,RCE,    // root code (Begin and End)
						XCB,XCE,    // extended code (Begin and End)
						RDB,RDE,    // root data (Begin and End)
						XDB,XDE;    // extended data (RAM) (Begin and End)

	unsigned int   auxStkB,    // aux stack Begin
						auxStkE,    // end
						stkB,       // stack begin
						stkE,       // end
						freeB,  		// free begin
						freeE,  		// end
						heapB,  		// heap begin
						heapE;  		// end

	Where ADDR24 has the following entries.
						
	union ADDR24
		unsigned long l;        	// long for increment/decrement
		struct aaa
			struct a
				unsigned int addr;   // address
				unsigned char base;  // base (BBR or CBR)
			char flags;					// flags associated
*/

main()
{
	printf("root code begins at %x, ends at %x\n",
		prog_param.RCB.aaa.a.addr, prog_param.RCE.aaa.a.addr);

	printf("flags are %x\n", prog_param.RCB.aaa.flags);

	printf("long is %ld\n", prog_param.RCB.l);

	printf("\nauxiliary stack begins at %x, ends at %x\n",
		prog_param.auxStkB, prog_param.auxStkE);
}
